Skip to content
Start here

Get Multi-Origin AS (MOAS) prefixes

client.radar.bgp.routes.moas(RouteMoasParams { format, invalid_only, origin, prefix } query?, RequestOptionsoptions?): RouteMoasResponse { meta, moas }
GET/radar/bgp/routes/moas

Retrieves all Multi-Origin AS (MOAS) prefixes in the global routing tables.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
query: RouteMoasParams { format, invalid_only, origin, prefix }
format?: "JSON" | "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
invalid_only?: boolean

Lookup only RPKI invalid MOASes.

origin?: number

Lookup MOASes originated by the given ASN.

prefix?: string
ReturnsExpand Collapse
RouteMoasResponse { meta, moas }
meta: Meta { data_time, query_time, total_peers }
data_time: string
query_time: string
total_peers: number
moas: Array<Moa>
origins: Array<Origin>
origin: number
peer_count: number
rpki_validation: string
prefix: string

Get Multi-Origin AS (MOAS) prefixes

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.radar.bgp.routes.moas();

console.log(response.meta);
{
  "result": {
    "meta": {
      "data_time": "data_time",
      "query_time": "query_time",
      "total_peers": 0
    },
    "moas": [
      {
        "origins": [
          {
            "origin": 0,
            "peer_count": 0,
            "rpki_validation": "rpki_validation"
          }
        ],
        "prefix": "prefix"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "data_time": "data_time",
      "query_time": "query_time",
      "total_peers": 0
    },
    "moas": [
      {
        "origins": [
          {
            "origin": 0,
            "peer_count": 0,
            "rpki_validation": "rpki_validation"
          }
        ],
        "prefix": "prefix"
      }
    ]
  },
  "success": true
}